summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorFabian Groffen <grobian@gentoo.org>2018-04-20 14:22:00 +0200
committerFabian Groffen <grobian@gentoo.org>2018-04-20 14:22:00 +0200
commit4615c371bfc573b93c3fee422155930c80c4ebec (patch)
tree34c524e896af968f089b0262e34c4e06f823c3ef
parentsys-devel/gettext: sync (diff)
downloadprefix-master.zip
prefix-master.tar.gz
prefix-master.tar.bz2
dev-libs/libgpg-error: syncHEADmaster
Package-Manager: Portage-2.3.18-prefix, Repoman-2.3.6
-rw-r--r--dev-libs/libgpg-error/Manifest2
-rw-r--r--dev-libs/libgpg-error/libgpg-error-1.27-r1.ebuild4
-rw-r--r--dev-libs/libgpg-error/libgpg-error-1.29.ebuild50
3 files changed, 54 insertions, 2 deletions
diff --git a/dev-libs/libgpg-error/Manifest b/dev-libs/libgpg-error/Manifest
index 8f6038a..5547341 100644
--- a/dev-libs/libgpg-error/Manifest
+++ b/dev-libs/libgpg-error/Manifest
@@ -1 +1,3 @@
DIST libgpg-error-1.27.tar.bz2 813060 BLAKE2B ece50b2f6f2fc21584724c07e4285ba6e3cd7c11def7155ef1e7be1d496e0d3a7abf977afa1f618b33ca8bcd0427c0c3b46fce2d0a2b9613378f06780f1aa47c SHA512 51b313c1159074fdbbce84f63bd8afd84b3b58cd608714865b25bed84c1862d050708aa06ac3dab92f1906593df5121161e594c2809653b0fb2c236cae5dcc2f
+DIST libgpg-error-1.29-solaris.patch 1445 BLAKE2B 5c7cc0babe2e4bc883991691d95eddb2c96d71972ae05e875fa9c2c8fa964489c6a0f542e1ea4bd5f8efd9df18da4787d4be337657225c0060c8e380370bc84b SHA512 6071e3dc6f280f94a96453d953baa21caac1ff0c7a258d0a2d4e3ca272b664be6fe260ed619a66a6e5d87a7cf22e877e9c30189c641b37a401d84255a2e1add1
+DIST libgpg-error-1.29.tar.bz2 894749 BLAKE2B 27f7eb516663e31b5a4734d83117127d88abecf87aefb655eb7847546148a6a887caf7f574aae101274da20375b90b32c35d599508711f7b5eac2addfabfe4b8 SHA512 57b95a7ed0ed808f05a75d7ee700ed0317da06fde1f8c59f5a4f049d784c4598f3c693068ddd47cd8bb0efdb43b9b628b876d34211f8a3e67d5088110a15323b
diff --git a/dev-libs/libgpg-error/libgpg-error-1.27-r1.ebuild b/dev-libs/libgpg-error/libgpg-error-1.27-r1.ebuild
index 6960247..5196c3f 100644
--- a/dev-libs/libgpg-error/libgpg-error-1.27-r1.ebuild
+++ b/dev-libs/libgpg-error/libgpg-error-1.27-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@@ -11,7 +11,7 @@ SRC_URI="mirror://gnupg/${PN}/${P}.tar.bz2"
LICENSE="GPL-2 LGPL-2.1"
SLOT="0"
-KEYWORDS="~ppc-aix ~x64-cygwin ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+KEYWORDS="~ppc-aix ~x64-cygwin ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="common-lisp nls static-libs"
RDEPEND="nls? ( >=virtual/libintl-0-r1[${MULTILIB_USEDEP}] )
diff --git a/dev-libs/libgpg-error/libgpg-error-1.29.ebuild b/dev-libs/libgpg-error/libgpg-error-1.29.ebuild
new file mode 100644
index 0000000..0506ee4
--- /dev/null
+++ b/dev-libs/libgpg-error/libgpg-error-1.29.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit libtool ltprune multilib-minimal toolchain-funcs autotools
+
+DESCRIPTION="Contains error handling functions used by GnuPG software"
+HOMEPAGE="http://www.gnupg.org/related_software/libgpg-error"
+SRC_URI="mirror://gnupg/${PN}/${P}.tar.bz2
+ https://github.com/gpg/libgpg-error/commit/e35749023ca68de6f1f85d3072f7b36fd6f6fe7c.patch -> ${P}-solaris.patch"
+
+LICENSE="GPL-2 LGPL-2.1"
+SLOT="0"
+KEYWORDS="~ppc-aix ~x64-cygwin ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="common-lisp nls static-libs"
+
+RDEPEND="nls? ( >=virtual/libintl-0-r1[${MULTILIB_USEDEP}] )"
+DEPEND="${RDEPEND}
+ nls? ( sys-devel/gettext )"
+
+MULTILIB_CHOST_TOOLS=(
+ /usr/bin/gpg-error-config
+)
+MULTILIB_WRAPPED_HEADERS=(
+ /usr/include/gpg-error.h
+ /usr/include/gpgrt.h
+)
+
+src_prepare() {
+ default
+ eapply "${DISTDIR}"/${P}-solaris.patch
+ eautoreconf
+ elibtoolize
+}
+
+multilib_src_configure() {
+ ECONF_SOURCE="${S}" econf \
+ CC_FOR_BUILD="$(tc-getBUILD_CC)" \
+ --enable-threads \
+ $(use_enable nls) \
+ $(use_enable static-libs static) \
+ $(use_enable common-lisp languages) \
+ $(multilib_is_native_abi || echo --disable-languages)
+}
+
+multilib_src_install_all() {
+ einstalldocs
+ prune_libtool_files --all
+}